Get signed URLs for a cell specification's CAD model and thumbnail
curl --request GET \
--url https://api.ionworks.com/cell_specifications/{cell_spec_id}/cadimport requests
url = "https://api.ionworks.com/cell_specifications/{cell_spec_id}/cad"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionworks.com/cell_specifications/{cell_spec_id}/cad', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"file_name": "<string>",
"download_url": "<string>",
"thumbnail_url": "<string>",
"thumbnail_error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cell Specifications
Get signed URLs for a cell specification's CAD model and thumbnail
Return hour-long signed URLs for the attached model and its thumbnail.
Responds 404 when the spec has no CAD model.
Get signed URLs for a cell specification's CAD model and thumbnail
Path Parameters
Response
Successful Response
A cell specification's CAD model, with short-lived URLs to fetch it.
Original filename of the model.
Signed URL to download the model.
Signed URL of the rendered PNG thumbnail; None when the model could not be rendered.
Why rendering failed, when it was just attempted and did. Only set on the confirm-upload response.
Was this page helpful?